[arch-commits] Commit in python-manuel/repos (2 files)

Felix Yan felixonmars at archlinux.org
Thu Jul 19 03:46:08 UTC 2018


    Date: Thursday, July 19, 2018 @ 03:46:08
  Author: felixonmars
Revision: 362334

archrelease: copy trunk to community-staging-any

Added:
  python-manuel/repos/community-staging-any/
  python-manuel/repos/community-staging-any/PKGBUILD
    (from rev 362333, python-manuel/trunk/PKGBUILD)

----------+
 PKGBUILD |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

Copied: python-manuel/repos/community-staging-any/PKGBUILD (from rev 362333, python-manuel/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2018-07-19 03:46:08 UTC (rev 362334)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-manuel
+pkgname=('python-manuel' 'python2-manuel')
+pkgver=1.9.0
+pkgrel=2
+pkgdesc="Manuel lets you build tested documentation"
+arch=('any')
+license=('Apache')
+url="https://pypi.python.org/pypi/manuel"
+makedepends=('python-setuptools' 'python2-setuptools' 'git')
+checkdepends=('python-zope-testing' 'python2-zope-testing')
+source=("git+https://github.com/benji-york/manuel.git#tag=$pkgver")
+sha512sums=('SKIP')
+
+prepare() {
+  cp -a manuel{,-py2}
+}
+
+build() {
+  cd "$srcdir/manuel"
+  python setup.py build
+
+  cd "$srcdir/manuel-py2"
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir/manuel"
+  python setup.py test || warning "https://github.com/benji-york/manuel/issues/12"
+
+  cd "$srcdir/manuel-py2"
+  python2 setup.py test
+}
+
+package_python-manuel() {
+  depends=('python-setuptools')
+
+  cd manuel
+  python setup.py install --root="${pkgdir}" --optimize=1
+}
+
+package_python2-manuel() {
+  depends=('python2-setuptools')
+
+  cd manuel-py2
+  python2 setup.py install --root="${pkgdir}" --optimize=1
+}



More information about the arch-commits mailing list